Bug 215132 - repo-rss does not show changelogs anymore
repo-rss does not show changelogs anymore
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 03:53 EST by Aurelien Bompard
Modified: 2008-03-13 09:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.1.11-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 09:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fixes changelogs in repo-rss (433 bytes, patch)
2006-11-11 03:53 EST, Aurelien Bompard
no flags Details | Diff
Fixed version of repo-rss.py (9.57 KB, text/x-python)
2007-04-19 05:15 EDT, Tim Lauridsen
no flags Details

  None (edit)
Description Aurelien Bompard 2006-11-11 03:53:57 EST
Description of problem:
repo-rss does not show changelogs anymore. There is just nothing between the two
 <pre></pre> tags where the changelog should be.
The reason is that it looks like pkg.changelog cannot be called twice. The first
time it shows the changelog, the second time it gives an empty list.
The attached patch fixes it.

Version-Release number of selected component (if applicable):
yum-utils-1.0.1-1.fc6

How reproducible:
Always
Comment 1 Aurelien Bompard 2006-11-11 03:53:57 EST
Created attachment 140957 [details]
Fixes changelogs in repo-rss
Comment 2 Tim Lauridsen 2007-02-14 09:56:40 EST
where = pkg.changelog alone should work.

should do it pkg.changelog is property returning the result form calling
pkg.returnChangelog().

If this is not working, the issue shall be fixed inside yum, not as a workaround
in repo-rss.
Comment 3 Tim Lauridsen 2007-04-13 06:25:35 EDT
Does it work in the current releases.
Comment 4 Aurelien Bompard 2007-04-18 15:09:29 EDT
Well, actually at the moment it doesn't work at all :

$ repo-rss -f /tmp/test.xml updates
Traceback (most recent call last):
  File "/usr/bin/repo-rss", line 22, in ?
    from repomd.mdErrors import RepoMDError
ImportError: No module named repomd.mdErrors
$ rpm -q yum-utils
yum-utils-1.0.3-1.fc6
Comment 5 Tim Lauridsen 2007-04-19 05:14:04 EDT
Look like i forgot to add some patches to the yum-utils 1.0.x branch.
please try the attached py file.
Comment 6 Tim Lauridsen 2007-04-19 05:15:24 EDT
Created attachment 152985 [details]
Fixed version of repo-rss.py
Comment 7 Aurelien Bompard 2007-04-20 01:58:38 EDT
It starts now, but afterwards I get a traceback :

$ python tmp/repo-rss.py -f fedora/extras.xml -t "extras - recent packages" -r 7
extras
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "skip-broken" plugin
Reading in repository metadata - please wait....
Traceback (most recent call last):
  File "tmp/repo-rss.py", line 269, in ?
    main(options, args)
  File "tmp/repo-rss.py", line 241, in main
    makeFeed(options.filename, options.title, options.link, options.description,
recent, my)
  File "tmp/repo-rss.py", line 177, in makeFeed
    rssobj.doPkg(pkg, url)
  File "tmp/repo-rss.py", line 107, in doPkg
    item = self.rsspkg(pkg, url)
  File "tmp/repo-rss.py", line 149, in rsspkg
    description += escape('<pre>%s</pre>' % escape(changelog.encode('utf-8')))
UnicodeDecodeError: 'ascii' codec can't decode byte 0xc3 in position 32: ordinal
not in range(128)
Comment 8 Seth Vidal 2008-03-13 09:19:58 EDT
Okay, We've been sitting on this for a looooooooooooooong time.

I can't make the UnicodeDecodeError and repo-rss has been in use for the fedora
planet infofeed for a long time w/o it. While it is possible it is still
happening  I think this has been fixed in various releases. If you can recreate
this one please reopen this bug.

Note You need to log in before you can comment on or make changes to this bug.